salesforce.knowledge

Install instructions

Salesforce Access Token documentation:

  • https://developer.salesforce.com/docs/atlas.en-us.api_iot.meta/api_iot/qs_auth_access_token.htm

Salesforce user

  • Create or select a Salesforce user to be used as the integration user.
  • Get the user's username used to login to Salesforce (e.g. [email protected]).
  • Get the user's password used to login on Salesforce.
  • Past the username and password into the vault variables.

Create app

  • From Salesforce classic, go to Setup > Build > Create > Apps > Connected App (section) > New.
  • Grant the necessary permissions.

Get Api credentials

  • On the recently created app go to API (Enable OAuth Settings) section.
  • Copy the Consumer Key and Consumer Secret and paste to client_id and client_secret vault variables, respectively.

Knowledge site base URL

  • Get the site base URL at Classic > Setup > Build > Develop > Sites

Element details

type: meya.salesforce.knowledge.integration
class: SalesforceKnowledgeIntegration
path: /meya/salesforce/knowledge/integration/integration.py
signature: -

Fields

fielddescription               requiredsignaturedefaulttype
instance_base_urlYour Salesforce instance's base URL with no trailing /, e.g. https://your-instance.salesforce.com◉○str
client_idThis field is called Consumer Key in the Salesforce Admin console and client_id in the Auth Api request.The Consumer Key can be found at Salesforce > Build > Create > Apps > Your app.◉○str
client_secretThis field is called Consumer Secret in the Salesforce Admin console and client_secret in the Auth Api request.The Consumer Secret can be found at Salesforce > Build > Create > Apps > Your app.◉○str
usernameThe email of a valid user in your Salesforce instance. Usually you would create a dedicated user for app integrations.◉○str
passwordThe password of the user you use to login to your Salesforce instance.◉○str
specOverride the original spec for this element.○○nullSpec
enabledEnables the integration, allowing it to process events and HTTP/WS entries.○○truebool
filterSpecifies the GridQL to filter rx_sub, rx, tx, tx_pubentries. Check the integration filtering guidefor more info.○○rx_sub: true
rx: true
tx: true
tx_pub: true
IntegrationFilter
verify_tokenThe token to be verified for each incoming request. You need to add the verify_token=YOUR_TOKEN query parameter to integration's webhook URL.○○nullstr
max_attachment_sizeControls maximum attachment size supported by the integration in bytes.○○nullint
knowledge_base_urlThe Salesforce Knowledge site base URL. You can get the site URL at Classic > Setup > Build > Develop > Sites. This is used for building the article URL in the meya.salesforce.knowledge.component.display component.○○nullstr

Usage reference

Basic

type: meya.salesforce.knowledge.integration
instance_base_url: STRING
client_id: STRING
client_secret: STRING
username: STRING
password: STRING

Full

type: meya.salesforce.knowledge.integration
instance_base_url: STRING
client_id: STRING
client_secret: STRING
username: STRING
password: STRING
spec:
  type: STRING
  data:
    STRING: ANY
  timeout: 123
  trigger_when: ANY
enabled: false
filter:
  rx_sub: STRING
  rx: STRING
  tx: STRING
  tx_pub: STRING
verify_token: STRING
max_attachment_size: 123
knowledge_base_url: STRING